Subject: Re: [PATCH v4 0/3] ARM: dts: aspeed-g6: add AST2600 I3C nodes and bindings

From: Andrew Jeffery <[email-masked]>
Date: Mon, 18 May 2026 14:32:19 +0930

Hi Dawid,

On Mon, 2026-05-11 at 16:14 +0200, Dawid Glazik wrote:
> On 4/24/2026 10:20 PM, Dawid Glazik wrote:
> > This series reworks and resubmits AST2600 I3C DTS updates that were
> > originally posted in 2024, but stalled without further upstream
> > progress.[1] The series was rebased onto the current tree and merge
> > conflicts were resolved.
> > 
> > The patches first move I2C controller nodes under the APB simple-bus
> > for layout consistency, then document aspeed,ast2600-i3c-global in
> > the syscon binding, and finally add AST2600 I3C controller nodes in
> > aspeed-g6.dtsi.
> > 
> > Jeremy agreed in a separate email thread that I can continue this
> > series under my authorship.
> > 
> > Link: https://lore.kernel.org/all/[email-masked]/
> > 
> > Dawid Glazik (3):
> >    ARM: dts: aspeed-g6: move i2c controllers directly into apb node
> >    dt-bindings: mfd: syscon: add aspeed,ast2600-i3c-global compatible
> >    ARM: dts: aspeed-g6: Add nodes for i3c controllers
> > 
> >   .../devicetree/bindings/mfd/syscon.yaml       |   2 +
> >   arch/arm/boot/dts/aspeed/aspeed-g6.dtsi       | 543 ++++++++++--------
> >   2 files changed, 318 insertions(+), 227 deletions(-)
> > 
> > 
> > base-commit: 6de23f81a5e08be8fbf5e8d7e9febc72a5b5f27f
> 
> Hi all,
> 
> Gentle ping for this series:
> https://lore.kernel.org/all/[email-masked]/#t
> 
> I received Reviewed-by from Krzysztof Kozlowski (thank you).
> Could I please get feedback/ack from maintainers on the remaining parts,
> especially ASPEED DTS?
> 
> If preferred, I can respin/rebase the series.
> 

Sorry for the delay.

Given Krzysztof's R-b tag for patch 2 I've applied 3 (along with 1) to
the BMC tree. Patch 2 should be picked up by Lee through the MFD tree.

Cheers,

Andrew